diff -upr ioquake3svn1438/code/q3_ui/ui_preferences.c ioquake3serverFix/code/q3_ui/ui_preferences.c
--- ioquake3svn1438/code/q3_ui/ui_preferences.c	2008-08-03 12:54:49.000000000 -0500
+++ ioquake3serverFix/code/q3_ui/ui_preferences.c	2008-08-09 11:28:12.000000000 -0500
@@ -51,11 +51,8 @@ GAME OPTIONS MENU
 #define ID_DRAWTEAMOVERLAY		136
 #define ID_ALLOWDOWNLOAD			137
 #define ID_BACK					138
-//Elimination
-#define ID_WEAPONBAR                    139
-#define ID_DELAGHITSCAN		140
 
-#define	NUM_CROSSHAIRS			99
+#define	NUM_CROSSHAIRS			10
 
 
 typedef struct {
@@ -67,7 +64,6 @@ typedef struct {
 
 	menulist_s			crosshair;
 	menuradiobutton_s	simpleitems;
-        menuradiobutton_s	alwaysweaponbar;
 	menuradiobutton_s	brass;
 	menuradiobutton_s	wallmarks;
 	menuradiobutton_s	dynamiclights;
@@ -76,7 +72,6 @@ typedef struct {
 	menuradiobutton_s	synceveryframe;
 	menuradiobutton_s	forcemodel;
 	menulist_s			drawteamoverlay;
-        menuradiobutton_s	delaghitscan;
 	menuradiobutton_s	allowdownload;
 	menubitmap_s		back;
 
@@ -97,7 +92,6 @@ static const char *teamoverlay_names[] =
 static void Preferences_SetMenuItems( void ) {
 	s_preferences.crosshair.curvalue		= (int)trap_Cvar_VariableValue( "cg_drawCrosshair" ) % NUM_CROSSHAIRS;
 	s_preferences.simpleitems.curvalue		= trap_Cvar_VariableValue( "cg_simpleItems" ) != 0;
-        s_preferences.alwaysweaponbar.curvalue		= trap_Cvar_VariableValue( "cg_alwaysWeaponBar" ) != 0;
 	s_preferences.brass.curvalue			= trap_Cvar_VariableValue( "cg_brassTime" ) != 0;
 	s_preferences.wallmarks.curvalue		= trap_Cvar_VariableValue( "cg_marks" ) != 0;
 	s_preferences.identifytarget.curvalue	= trap_Cvar_VariableValue( "cg_drawCrosshairNames" ) != 0;
@@ -107,9 +101,9 @@ static void Preferences_SetMenuItems( vo
 	s_preferences.forcemodel.curvalue		= trap_Cvar_VariableValue( "cg_forcemodel" ) != 0;
 	s_preferences.drawteamoverlay.curvalue	= Com_Clamp( 0, 3, trap_Cvar_VariableValue( "cg_drawTeamOverlay" ) );
 	s_preferences.allowdownload.curvalue	= trap_Cvar_VariableValue( "cl_allowDownload" ) != 0;
-        s_preferences.delaghitscan.curvalue	= trap_Cvar_VariableValue( "cg_delag" ) != 0;
 }
 
+
 static void Preferences_Event( void* ptr, int notification ) {
 	if( notification != QM_ACTIVATED ) {
 		return;
@@ -118,7 +112,7 @@ static void Preferences_Event( void* ptr
 	switch( ((menucommon_s*)ptr)->id ) {
 	case ID_CROSSHAIR:
 		s_preferences.crosshair.curvalue++;
-		if( s_preferences.crosshair.curvalue == NUM_CROSSHAIRS || s_preferences.crosshairShader[s_preferences.crosshair.curvalue]==0 ) {
+		if( s_preferences.crosshair.curvalue == NUM_CROSSHAIRS ) {
 			s_preferences.crosshair.curvalue = 0;
 		}
 		trap_Cvar_SetValue( "cg_drawCrosshair", s_preferences.crosshair.curvalue );
@@ -127,10 +121,6 @@ static void Preferences_Event( void* ptr
 	case ID_SIMPLEITEMS:
 		trap_Cvar_SetValue( "cg_simpleItems", s_preferences.simpleitems.curvalue );
 		break;
-                
-        case ID_WEAPONBAR:
-		trap_Cvar_SetValue( "cg_alwaysWeaponBar", s_preferences.alwaysweaponbar.curvalue );
-		break;
 
 	case ID_HIGHQUALITYSKY:
 		trap_Cvar_SetValue( "r_fastsky", !s_preferences.highqualitysky.curvalue );
@@ -171,11 +161,6 @@ static void Preferences_Event( void* ptr
 		trap_Cvar_SetValue( "cl_allowDownload", s_preferences.allowdownload.curvalue );
 		trap_Cvar_SetValue( "sv_allowDownload", s_preferences.allowdownload.curvalue );
 		break;
-               
-        case ID_DELAGHITSCAN:
-                trap_Cvar_SetValue( "g_delagHitscan", s_preferences.delaghitscan.curvalue );
-		trap_Cvar_SetValue( "cg_delag", s_preferences.delaghitscan.curvalue );
-		break;
 
 	case ID_BACK:
 		UI_PopMenu();
@@ -288,16 +273,6 @@ static void Preferences_MenuInit( void )
 	s_preferences.simpleitems.generic.id          = ID_SIMPLEITEMS;
 	s_preferences.simpleitems.generic.x	          = PREFERENCES_X_POS;
 	s_preferences.simpleitems.generic.y	          = y;
-        
-        //Elimination
-        y += BIGCHAR_HEIGHT;
-	s_preferences.alwaysweaponbar.generic.type        = MTYPE_RADIOBUTTON;
-	s_preferences.alwaysweaponbar.generic.name	      = "Always show weapons:";
-	s_preferences.alwaysweaponbar.generic.flags	      = QMF_PULSEIFFOCUS|QMF_SMALLFONT;
-	s_preferences.alwaysweaponbar.generic.callback    = Preferences_Event;
-	s_preferences.alwaysweaponbar.generic.id          = ID_WEAPONBAR;
-	s_preferences.alwaysweaponbar.generic.x	          = PREFERENCES_X_POS;
-	s_preferences.alwaysweaponbar.generic.y	          = y;
 
 	y += BIGCHAR_HEIGHT;
 	s_preferences.wallmarks.generic.type          = MTYPE_RADIOBUTTON;
@@ -372,15 +347,6 @@ static void Preferences_MenuInit( void )
 	s_preferences.drawteamoverlay.generic.y	       = y;
 	s_preferences.drawteamoverlay.itemnames			= teamoverlay_names;
 
-        y += BIGCHAR_HEIGHT+2;
-	s_preferences.delaghitscan.generic.type     = MTYPE_RADIOBUTTON;
-	s_preferences.delaghitscan.generic.name	   = "Unlag hitscan:";
-	s_preferences.delaghitscan.generic.flags	   = QMF_PULSEIFFOCUS|QMF_SMALLFONT;
-	s_preferences.delaghitscan.generic.callback = Preferences_Event;
-	s_preferences.delaghitscan.generic.id       = ID_DELAGHITSCAN;
-	s_preferences.delaghitscan.generic.x	       = PREFERENCES_X_POS;
-	s_preferences.delaghitscan.generic.y	       = y;
-        
 	y += BIGCHAR_HEIGHT+2;
 	s_preferences.allowdownload.generic.type     = MTYPE_RADIOBUTTON;
 	s_preferences.allowdownload.generic.name	   = "Automatic Downloading:";
@@ -408,7 +374,6 @@ static void Preferences_MenuInit( void )
 
 	Menu_AddItem( &s_preferences.menu, &s_preferences.crosshair );
 	Menu_AddItem( &s_preferences.menu, &s_preferences.simpleitems );
-        Menu_AddItem( &s_preferences.menu, &s_preferences.alwaysweaponbar );
 	Menu_AddItem( &s_preferences.menu, &s_preferences.wallmarks );
 	Menu_AddItem( &s_preferences.menu, &s_preferences.brass );
 	Menu_AddItem( &s_preferences.menu, &s_preferences.dynamiclights );
@@ -417,7 +382,6 @@ static void Preferences_MenuInit( void )
 	Menu_AddItem( &s_preferences.menu, &s_preferences.synceveryframe );
 	Menu_AddItem( &s_preferences.menu, &s_preferences.forcemodel );
 	Menu_AddItem( &s_preferences.menu, &s_preferences.drawteamoverlay );
-        Menu_AddItem( &s_preferences.menu, &s_preferences.delaghitscan );
 	Menu_AddItem( &s_preferences.menu, &s_preferences.allowdownload );
 
 	Menu_AddItem( &s_preferences.menu, &s_preferences.back );
@@ -439,11 +403,7 @@ void Preferences_Cache( void ) {
 	trap_R_RegisterShaderNoMip( ART_BACK0 );
 	trap_R_RegisterShaderNoMip( ART_BACK1 );
 	for( n = 0; n < NUM_CROSSHAIRS; n++ ) {
-                if (n < 10)
-			s_preferences.crosshairShader[n] = trap_R_RegisterShaderNoMip( va("gfx/2d/crosshair%c", 'a' + n ) );
-		else
-			s_preferences.crosshairShader[n] = trap_R_RegisterShaderNoMip( va("gfx/2d/crosshair%02d", n - 10) );
-	
+		s_preferences.crosshairShader[n] = trap_R_RegisterShaderNoMip( va("gfx/2d/crosshair%c", 'a' + n ) );
 	}
 }
 
Only in ioquake3svn1438/code/q3_ui: ui.q3asm
diff -upr ioquake3svn1438/code/q3_ui/ui_qmenu.c ioquake3serverFix/code/q3_ui/ui_qmenu.c
--- ioquake3svn1438/code/q3_ui/ui_qmenu.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/q3_ui/ui_qmenu.c	2008-08-09 11:28:12.000000000 -0500
@@ -327,7 +327,6 @@ void Bitmap_Draw( menubitmap_s *b )
 		if (b->shader)
 			UI_DrawHandlePic( x, y, w, h, b->shader );
 
-		// bk001204 - parentheses
 		if (  ( (b->generic.flags & QMF_PULSE) 
 			|| (b->generic.flags & QMF_PULSEIFFOCUS) )
 		      && (Menu_ItemAtCursor( b->generic.parent ) == b))
@@ -466,7 +465,10 @@ static sfxHandle_t RadioButton_Key( menu
 		case K_JOY3:
 		case K_JOY4:
 		case K_ENTER:
+		case K_KP_ENTER:
+		case K_KP_LEFTARROW:
 		case K_LEFTARROW:
+		case K_KP_RIGHTARROW:
 		case K_RIGHTARROW:
 			rb->curvalue = !rb->curvalue;
 			if ( rb->generic.callback )
@@ -584,6 +586,7 @@ static sfxHandle_t Slider_Key( menuslide
 				sound = 0;
 			break;
 
+		case K_KP_LEFTARROW:
 		case K_LEFTARROW:
 			if (s->curvalue > s->minvalue)
 			{
@@ -594,6 +597,7 @@ static sfxHandle_t Slider_Key( menuslide
 				sound = menu_buzz_sound;
 			break;			
 
+		case K_KP_RIGHTARROW:
 		case K_RIGHTARROW:
 			if (s->curvalue < s->maxvalue)
 			{
@@ -801,6 +805,7 @@ static sfxHandle_t SpinControl_Key( menu
 			sound = menu_move_sound;
 			break;
 		
+		case K_KP_LEFTARROW:
 		case K_LEFTARROW:
 			if (s->curvalue > 0)
 			{
@@ -811,6 +816,7 @@ static sfxHandle_t SpinControl_Key( menu
 				sound = menu_buzz_sound;
 			break;
 
+		case K_KP_RIGHTARROW:
 		case K_RIGHTARROW:
 			if (s->curvalue < s->numitems-1)
 			{
@@ -960,6 +966,7 @@ sfxHandle_t ScrollList_Key( menulist_s *
 			}
 			break;
 
+		case K_KP_HOME:
 		case K_HOME:
 			l->oldvalue = l->curvalue;
 			l->curvalue = 0;
@@ -972,6 +979,7 @@ sfxHandle_t ScrollList_Key( menulist_s *
 			}
 			return (menu_buzz_sound);
 
+		case K_KP_END:
 		case K_END:
 			l->oldvalue = l->curvalue;
 			l->curvalue = l->numitems-1;
@@ -993,6 +1001,7 @@ sfxHandle_t ScrollList_Key( menulist_s *
 			return (menu_buzz_sound);
 
 		case K_PGUP:
+		case K_KP_PGUP:
 			if( l->columns > 1 ) {
 				return menu_null_sound;
 			}
@@ -1015,6 +1024,7 @@ sfxHandle_t ScrollList_Key( menulist_s *
 			return (menu_buzz_sound);
 
 		case K_PGDN:
+		case K_KP_PGDN:
 			if( l->columns > 1 ) {
 				return menu_null_sound;
 			}
@@ -1036,6 +1046,7 @@ sfxHandle_t ScrollList_Key( menulist_s *
 			}
 			return (menu_buzz_sound);
 
+		case K_KP_UPARROW:
 		case K_UPARROW:
 			if( l->curvalue == 0 ) {
 				return menu_buzz_sound;
@@ -1059,6 +1070,7 @@ sfxHandle_t ScrollList_Key( menulist_s *
 
 			return (menu_move_sound);
 
+		case K_KP_DOWNARROW:
 		case K_DOWNARROW:
 			if( l->curvalue == l->numitems - 1 ) {
 				return menu_buzz_sound;
@@ -1082,6 +1094,7 @@ sfxHandle_t ScrollList_Key( menulist_s *
 
 			return menu_move_sound;
 
+		case K_KP_LEFTARROW:
 		case K_LEFTARROW:
 			if( l->columns == 1 ) {
 				return menu_null_sound;
@@ -1104,6 +1117,7 @@ sfxHandle_t ScrollList_Key( menulist_s *
 
 			return menu_move_sound;
 
+		case K_KP_RIGHTARROW:
 		case K_RIGHTARROW:
 			if( l->columns == 1 ) {
 				return menu_null_sound;
@@ -1628,6 +1642,7 @@ sfxHandle_t Menu_DefaultKey( menuframewo
 			trap_Cmd_ExecuteText(EXEC_APPEND, "screenshot\n");
 			break;
 #endif
+		case K_KP_UPARROW:
 		case K_UPARROW:
 			cursor_prev    = m->cursor;
 			m->cursor_prev = m->cursor;
@@ -1640,6 +1655,7 @@ sfxHandle_t Menu_DefaultKey( menuframewo
 			break;
 
 		case K_TAB:
+		case K_KP_DOWNARROW:
 		case K_DOWNARROW:
 			cursor_prev    = m->cursor;
 			m->cursor_prev = m->cursor;
